Debian セキュリティ勧告

DSA-512-1 gallery -- 不正なアクセス

報告日時:
2004-06-02
影響を受けるパッケージ:
gallery
危険性:
あり
参考セキュリティデータベース:
(SecurityFocus の) Bugtraq データベース: BugTraq ID 10451.
Mitre の CVE 辞書: CVE-2004-0522.
詳細:

PHP で記述された web ベースの写真アルバムシステムである gallery に、欠陥が発見されました。 この欠陥を悪用することで、リモートの攻撃者が所定の認証なしに gallery の管理者ユーザ権限のアクセスを行えます。 この勧告時点では、この欠陥に対する CVE での登録はされていません。

安定版 (stable) ディストリビューション (woody) では、この問題はバージョン 1.2.5-8woody2 で修正されています。

不安定版 (unstable) ディストリビューション (sid) では、この問題はバージョン 1.4.3-pl2-1 で修正されています。

直ちに gallery パッケージをアップグレードすることをお勧めします。

修正:

Debian GNU/Linux 3.0 (woody)

ソース:
http://security.debian.org/pool/updates/main/g/gallery/gallery_1.2.5-8woody2.dsc
http://security.debian.org/pool/updates/main/g/gallery/gallery_1.2.5-8woody2.diff.gz
http://security.debian.org/pool/updates/main/g/gallery/gallery_1.2.5.orig.tar.gz
アーキテクチャ非依存コンポーネント:
http://security.debian.org/pool/updates/main/g/gallery/gallery_1.2.5-8woody2_all.deb

一覧にあるファイルの MD5 チェックサムは勧告の原文にあります。